Appearance
pbx-conferences
6 endpoints.
GET /api/v1/pbx-conferences
Overview
The domain's dial-in number, rooms, live conferences and recent history.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
domain | query | no |
200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Overview Api V1 Pbx Conferences Get"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/pbx-conferences/center
Save Center
Request body
json
{
"properties": {
"domain": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Domain"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Name"
},
"extension": {
"type": "string",
"title": "Extension"
},
"greeting": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Greeting"
},
"enabled": {
"type": "boolean",
"title": "Enabled",
"default": true
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Description"
}
},
"type": "object",
"required": [
"extension"
],
"title": "CenterBody"
}200 — Successful Response
json
{
"additionalProperties": true,
"type": "object",
"title": "Response Save Center Api V1 Pbx Conferences Center Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/pbx-conferences/rooms
Create Room
Request body
json
{
"properties": {
"domain": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Domain"
},
"name": {
"type": "string",
"title": "Name"
},
"moderator_pin": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Moderator Pin"
},
"participant_pin": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Participant Pin"
},
"profile": {
"type": "string",
"title": "Profile",
"default": "default"
},
"max_members": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Max Members"
},
"record": {
"type": "boolean",
"title": "Record",
"default": false
},
"wait_mod": {
"type": "boolean",
"title": "Wait Mod",
"default": false
},
"moderator_endconf": {
"type": "boolean",
"title": "Moderator Endconf",
"default": false
},
"announce_name": {
"type": "boolean",
"title": "Announce Name",
"default": false
},
"announce_count": {
"type": "boolean",
"title": "Announce Count",
"default": false
},
"mute": {
"type": "boolean",
"title": "Mute",
"default": false
},
"sounds": {
"type": "boolean",
"title": "Sounds",
"default": false
},
"enabled": {
"type": "boolean",
"title": "Enabled",
"default": true
},
"email_address": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Email Address"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Description"
}
},
"type": "object",
"required": [
"name"
],
"title": "RoomBody"
}200 — Successful Response
json
{
"additionalProperties": true,
"type": "object",
"title": "Response Create Room Api V1 Pbx Conferences Rooms Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}PUT /api/v1/pbx-conferences/rooms/{room}
Update Room
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
room | path | yes | string |
Request body
json
{
"properties": {
"domain": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Domain"
},
"name": {
"type": "string",
"title": "Name"
},
"moderator_pin": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Moderator Pin"
},
"participant_pin": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Participant Pin"
},
"profile": {
"type": "string",
"title": "Profile",
"default": "default"
},
"max_members": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Max Members"
},
"record": {
"type": "boolean",
"title": "Record",
"default": false
},
"wait_mod": {
"type": "boolean",
"title": "Wait Mod",
"default": false
},
"moderator_endconf": {
"type": "boolean",
"title": "Moderator Endconf",
"default": false
},
"announce_name": {
"type": "boolean",
"title": "Announce Name",
"default": false
},
"announce_count": {
"type": "boolean",
"title": "Announce Count",
"default": false
},
"mute": {
"type": "boolean",
"title": "Mute",
"default": false
},
"sounds": {
"type": "boolean",
"title": "Sounds",
"default": false
},
"enabled": {
"type": "boolean",
"title": "Enabled",
"default": true
},
"email_address": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Email Address"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Description"
}
},
"type": "object",
"required": [
"name"
],
"title": "RoomBody"
}200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Update Room Api V1 Pbx Conferences Rooms Room Put"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}DELETE /api/v1/pbx-conferences/rooms/{room}
Delete Room
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
room | path | yes | string | |
domain | query | no |
200 — Successful Response
json
{
"type": "object",
"additionalProperties": true,
"title": "Response Delete Room Api V1 Pbx Conferences Rooms Room Delete"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/pbx-conferences/live
Live
One live control on a running conference of the domain. The box checks the conference and member are on that domain before it acts.
Request body
json
{
"properties": {
"domain": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Domain"
},
"action": {
"type": "string",
"title": "Action"
},
"conference": {
"type": "string",
"title": "Conference",
"default": ""
},
"room_uuid": {
"type": "string",
"title": "Room Uuid",
"default": ""
},
"member_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Member Id"
},
"number": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Number"
},
"from_extension": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "From Extension"
}
},
"type": "object",
"required": [
"action"
],
"title": "LiveBody"
}200 — Successful Response
json
{
"additionalProperties": true,
"type": "object",
"title": "Response Live Api V1 Pbx Conferences Live Post"
}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}